# std::bad_function_call Class Reference

Exception class thrown when class template function's operator() is called with an empty target. More...

Inheritance diagram for std::bad_function_call:

List of all members.

## Public Member Functions

- virtual const char * what () const throw ()

## Detailed Description

Exception class thrown when class template function's operator() is called with an empty target.

Definition at line 1370 of file tr1_impl/functional.

## Member Function Documentation

virtual const char* std::exception::what | ( |  | ) | const throw ()`[virtual, inherited]`

Returns a C-style character string describing the general cause of the current error.

Reimplemented in std::bad_exception, std::bad_alloc, std::bad_cast, std::bad_typeid, std::lock_error, std::logic_error, std::runtime_error, and std::ios_base::ios_base::failure.

The documentation for this class was generated from the following file:

- tr1_impl/functional